[driverloader] retry: compiling driverloader for suse 10.0

Linuxant support (Jonathan) support at linuxant.com
Thu Nov 10 11:10:54 EST 2005


in the output of the attempt to install a pre-compiled DriverLoader RPM, 
we can see that you have installed the package for the 
'2.6.13-15-default' kernel while you are using the 'linux-2.6.13-15-smp' 

In the dump you have provided, it seems that the right pre-compiled 
DriverLoader package is installed. Since we can see in the your 'dmesg' 
that the DriverLoader module was related a few times and it didn't 
attempt to load a Windows XP driver, your probably uploaded the wrong 
Windows XP driver for your wireless device. While the the Windows XP 
driver you have used with Mandriva 10.1 is installed with the Web 
Configurator, please generate and send at support at linuxant.com a new 
'dumpdiag' that you can generate with the 'dldrconfig --dumpdiag' 
command in a root shell. This information will help us figure out the 
source of the problem.


Technical specialist / Linuxant
support at linuxant.com

philippecmartin at sbcglobal.net wrote:
> Hi,
> I tried these:
> -rw-r--r--  1 root root 352305 2005-10-22 10:04 
> driverloader-2.30_k2.6.13_15_default-1suse.i586.rpm
> -rw-r--r--  1 root root 353157 2005-10-22 10:04 
> driverloader-2.30_k2.6.13_15_smp-1suse.i586.rpm
> the default does not install:
> Removing old /usr/lib/driverloader
> Linuxant DriverLoader for Wireless LAN devices, version 2.30
> No pre-built modules for: SuSE-10.0 linux-2.6.13-15-smp i686
> Please obtain the appropriate variant of this package for your system
> or try the generic RPM or tar version.
> error: %post(driverloader-2.30_k2.6.13_15_default-1suse) scriptlet failed, 
> exit status 1
> the smp installs but I get:
> 	It seems that your device is either not present or not supported by the 
> installed driver(s). Either:
> from the browser after loading the .inf and .sys I used with mdk 10.1
> I also tried the latest .sys and .inf from your site with no success.
> I am enclising the dump file.
> PS: the card worked OK today under mdk 10.1, so I don't think it's a hw 
> problem.
> Any help appreciated, regards
> Philippe
> On Thursday 10 November 2005 08:50 am, Linuxant support (Jonathan) wrote:
>>we are not aware of this compilation issue under SuSE 10.0 and this is
>>probably not related to DriverLoader. Since we provide pre-compiled
>>packages for thew most common kernels of SuSE 10.0, you could try them
>>instead. They can be downloaded at:
>>Technical specialist / Linuxant
>>support at linuxant.com
>>philippecmartin at sbcglobal.net wrote:
>>>I am sending this message again as my  return address was wrong
>>>I'm moving from mdk 10.1 to Suse 10.0.
>>>make install works OK
>>>dldrconfig fails with
>>>/usr/src/linux-2.6.13-15/include/linux/kernel.h:10:20: error: stdarg.h:
>>>No such file or directory
>>>1) I found stdarg.h in
>>>/usr/lib/gcc/i586-suse-linux/4.0.2/include/stdarg.h 2) this code compiles
>>>#include <stdio.h>
>>>#include <stdarg.h>
>>>int main(void)
>>>Can you help ?
> _______________________________________________
> driverloader mailing list
> driverloader at lists.linuxant.com
> https://www.linuxant.com/mailman/listinfo/driverloader

More information about the driverloader mailing list